/**
 * Copyright (c) 2006 Sascha Grau
 * contact: rostar@graui.de
 */

#ifndef GRAPH_IO_EXCEPTION_H_
#define GRAPH_IO_EXCEPTION_H_

#include <string>

class GraphIOException {

private:
    std::string cause;

public:
    GraphIOException()             { cause = ""; }
    GraphIOException(std::string cause) { this->cause = cause; }

    std::string getCause()              { return cause; }
};

#endif /* GRAPH_IO_EXCEPTION_H_*/
